"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var modal_directive_1 = require("./modal.directive");
var ModalComponent = (function () {
    function ModalComponent(componentFactoryResolver) {
        this.componentFactoryResolver = componentFactoryResolver;
        this.show = false;
        this.center = false;
        this.size = '';
    }
    ModalComponent.prototype.loadComponent = function (content) {
        var componentFactory = this.componentFactoryResolver.resolveComponentFactory(content);
        var viewContainerRef = this.modalHost.viewContainerRef;
        viewContainerRef.clear();
        var componentRef = viewContainerRef.createComponent(componentFactory);
        return componentRef;
    };
    ModalComponent.prototype.open = function () {
        this.show = true;
    };
    ModalComponent.prototype.close = function () {
        this.show = false;
    };
    ModalComponent.prototype.tryClose = function (event) {
        if (event.target === this.pad.nativeElement) {
            this.close();
            this.closeHandle();
        }
    };
    ModalComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-modal',
                    template: "\n    <div #pad class=\"modal fade animated zoomIn\" (click)=\"tryClose($event)\"  [ngClass]=\"{'show': show}\"\n        [ngStyle]=\"{display: show?'block':'none',overflowY:'auto'}\">\n        <div class=\"modal-dialog modal-{{size}}\"\n            [ngStyle]=\"{height: scroll==='in'?'90%':'auto'}\" [class.modal-dialog-centered]=\"center\">\n            <div class=\"modal-content h-100\" [ngStyle]=\"scroll==='in'?{overflowY:'auto',overflowX:'hidden'}:{}\">\n                <ng-template tsModalHost></ng-template>\n            </div>\n        </div>\n    </div>\n    <div *ngIf=\"show\" class=\"modal-backdrop fade show\"></div>",
                    styles: ["\n    .animated {\n        animation-duration: 0.5s;\n        animation-fill-mode: both;\n    }\n    .animated.infinite {\n        animation-iteration-count: infinite;\n    }\n    @keyframes zoomIn {\n        from {\n          opacity: 0;\n          transform: scale3d(0.3, 0.3, 0.3);\n        }\n        50% {\n          opacity: 1;\n        }\n      }\n    .zoomIn {\n        animation-name: zoomIn;\n    }\n    "]
                },] },
    ];
    ModalComponent.ctorParameters = function () { return [
        { type: core_1.ComponentFactoryResolver }
    ]; };
    ModalComponent.propDecorators = {
        pad: [{ type: core_1.ViewChild, args: ['pad',] }],
        modalHost: [{ type: core_1.ViewChild, args: [modal_directive_1.ModalDirective,] }]
    };
    return ModalComponent;
}());
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map